;;; a load file for cmn on the Mac

(eval-when (load compile eval)
  (unless (find-package ':cmn)
    (let ((lisp-package #+CCL-2 ':common-lisp  #-CCL-2 ':lisp))
      (make-package ':cmn :use (list lisp-package)))))


;;; now try to get rid of a raft of useless (and incorrect) warnings
(setf *compiler-warnings* nil)
(setf *warn-if-redefine* nil)
(setf *record-source-file* nil)
(setf *save-local-symbols* nil)


(setf (logical-pathname-translations "cmn")
      '(("**;*.*.*" "bil:lisp:cmn:**:")))


  (defun mac-compile-file (cname)
    (print (format nil "compiling ~A~%" cname))
    (force-output)
    (compile-file cname))

  (defun mac-load-file (lname)
    (print (format nil "loading ~A~%" lname))
    (force-output)
    (load lname))

  (defun compile-and-load (name)
    (let ((cname (concatenate 'string "cmn:" name ".lisp"))
	  (lname (concatenate 'string "cmn:" name ".fasl")))
      (if (probe-file cname)
	  (if (or (not (probe-file lname))
		  (> (file-write-date cname) (file-write-date lname)))
	      (mac-compile-file cname)))
      (mac-load-file lname)))

(compile-and-load "cmn0")
(compile-and-load "cmn1")
(compile-and-load "cmn2")
(compile-and-load "cmn3")
(compile-and-load "cmn4")

